VERSION 5.00
Begin VB.Form frmHighScores 
   BackColor       =   &H00000000&
   BorderStyle     =   1  'Fixed Single
   Caption         =   " Columns 1.0"
   ClientHeight    =   7200
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   9600
   ControlBox      =   0   'False
   DrawWidth       =   2
   BeginProperty Font 
      Name            =   "Verdana"
      Size            =   8.25
      Charset         =   0
      Weight          =   700
      Underline       =   0   'False
      Italic          =   0   'False
      Strikethrough   =   0   'False
   EndProperty
   KeyPreview      =   -1  'True
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   MouseIcon       =   "HighScores.frx":0000
   MousePointer    =   99  'Custom
   Moveable        =   0   'False
   ScaleHeight     =   480
   ScaleMode       =   3  'Pixel
   ScaleWidth      =   640
   StartUpPosition =   1  'CenterOwner
   Begin VB.PictureBox iHighScores 
      Appearance      =   0  'Flat
      AutoRedraw      =   -1  'True
      BackColor       =   &H00000000&
      BorderStyle     =   0  'None
      ForeColor       =   &H00FFFFFF&
      HasDC           =   0   'False
      Height          =   3555
      Left            =   3143
      Picture         =   "HighScores.frx":0152
      ScaleHeight     =   237
      ScaleMode       =   3  'Pixel
      ScaleWidth      =   221
      TabIndex        =   0
      TabStop         =   0   'False
      Top             =   1272
      Width           =   3315
      Begin VB.TextBox tName 
         Alignment       =   2  'Center
         Appearance      =   0  'Flat
         BackColor       =   &H00FF0000&
         BorderStyle     =   0  'None
         ForeColor       =   &H00E0E0E0&
         Height          =   210
         Left            =   60
         MaxLength       =   3
         TabIndex        =   2
         TabStop         =   0   'False
         Top             =   585
         Visible         =   0   'False
         Width           =   1005
      End
   End
   Begin VB.Label Command 
      Alignment       =   2  'Center
      BackColor       =   &H00808080&
      Caption         =   "OK"
      ForeColor       =   &H00E0E0E0&
      Height          =   225
      Left            =   4395
      TabIndex        =   1
      Top             =   5704
      Width           =   810
   End
End
Attribute VB_Name = "frmHighScores"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'//
'// High-Scores
'//

Dim Index As Integer



Private Sub Form_Load()

    Me.Width = 640 * 15: Me.Height = 480 * 15
    
End Sub

Private Sub Form_Activate()

    iHighScores.Cls
    Me.Refresh

    ' Check if new high-score
    Index = IsHighScore(Score)
    If Index > 0 And Not Practice Then
        Command.Enabled = False
        Command.Refresh
        tName.Top = 19 + Index * 20
        tName = ""
        tName.Visible = True
        tName.SetFocus
    End If
    
    ' Show table
    ShowHighScores

End Sub

'// Print High-Scores table //////////////////////////////////////////////////////////////////
Private Sub ShowHighScores()

    Dim I As Integer, tyPos As Integer
    
    iHighScores.Cls
    tyPos = 39
    
    For I = 1 To 10
    
        PlayEffect efHighScoreLine
        
        TextOut iHighScores.hdc, 38 - TextWidth(HighScores(I).hsName) / 2, tyPos, _
                               HighScores(I).hsName, Len(HighScores(I).hsName)
        TextOut iHighScores.hdc, 103, tyPos, _
                               Format(HighScores(I).hsLevel, "00"), 2
        TextOut iHighScores.hdc, 155, tyPos, _
                               Format(HighScores(I).hsScore, "0000000"), 7
        
        iHighScores.Refresh
        
        t = GetTickCount: Do: Loop Until GetTickCount - t > 15
        tyPos = tyPos + 20
        
    Next I

End Sub

'// Edit name mode if new high-score [Return] ////////////////////////////////////////////////
Private Sub tName_KeyPress(KeyAscii As Integer)
    
    If KeyAscii = vbKeyReturn Then
    
        tName = Trim(tName)
        
        HighScores(Index).hsName = tName
        
        tName.Visible = False
        ShowHighScores
        
        Command.Enabled = True
        
    End If
        
End Sub

'// OK button ////////////////////////////////////////////////////////////////////////////////
Private Sub Command_MouseDown(Button As Integer, Shift As Integer, x As Single, y As Single)
    
    ' Select command
    Line (Command.Left - 2, Command.Top - 2)- _
         (Command.Left + 54 + 2, Command.Top + 15 + 2), &HE0E0E0, B

End Sub

Private Sub Command_Click()
    
    Me.Hide

End Sub

Private Sub Command_MouseUp(Button As Integer, Shift As Integer, x As Single, y As Single)
    
    ' Unselect command
    Line (Command.Left - 2, Command.Top - 2)- _
         (Command.Left + 54 + 2, Command.Top + 15 + 2), vbBlack, B
    
End Sub

'[Return] key: return to main
Private Sub Form_KeyDown(KeyCode As Integer, Shift As Integer)
    
    If KeyCode = vbKeyReturn And Command.Enabled = True Then Me.Hide
    
End Sub
