Attribute VB_Name = "Module4"
'//
'// Sound effects
'//

Private Const SND = SND_ASYNC Or SND_NODEFAULT

'// Sound effects //
Enum Effects
    efChange
    efDown
    efGun
    efLevelUp
    efLine
    efNew
    efPunch
    efHighScoreLine
    efEndGame
End Enum

'// Play effect //////////////////////////////////////////////////////////////////////////////

Public Sub PlayEffect(Effect As Effects)
    
    Select Case Effect
    
        Case 0  ' efChange
            Call PlaySound(App.Path & "\Wavs\Change.wav", 0, SND)
            
        Case 1  ' efDown
            Call PlaySound(App.Path & "\Wavs\Down.wav", 0, SND)
            
        Case 2  ' efGun
            Call PlaySound(App.Path & "\Wavs\Gun.wav", 0, SND)
            
        Case 3  ' efLevelUp
            Call PlaySound(App.Path & "\Wavs\LevelUp.wav", 0, SND)
            
        Case 4  ' efLine
            Call PlaySound(App.Path & "\Wavs\Line.wav", 0, SND)
                    
        Case 5  ' efNew
             Call PlaySound(App.Path & "\Wavs\New.wav", 0, SND)
             
        Case 6  ' efPunch
            Call PlaySound(App.Path & "\Wavs\Punch.wav", 0, SND)
            
        Case 7  ' efHighScoreLine
            Call PlaySound(App.Path & "\Wavs\HighScoreLine.wav", 0, SND)
            
        Case 8  ' efEndGame
            Call PlaySound(App.Path & "\Wavs\EndGame.wav", 0, SND)
                                    
    End Select
    
End Sub
