Attribute VB_Name = "Module3"
'//
'// Text effects
'//

Public Sub DrawDigital(digitsHDC As Long, _
                       dstHDC As Long, _
                       ByVal Value As Long, _
                       digitsCount As Integer)
    
    Dim I, strValue As String, lenValue As Integer
    strValue = Format(Value, String(digitsCount, "0"))
    lenValue = Len(strValue)
    
    For I = lenValue To 1 Step -1
        
        BitBlt dstHDC, digitsCount * 10 - I * 10, 0, 8, 14, _
               digitsHDC, 0, Mid(strValue, lenValue - I + 1, 1) * 14, _
               SRCCOPY
        
    Next I

End Sub

Public Sub PrintText(dstHDC As Long, _
                     ByVal Text As String, _
                     Top As Integer, Left As Integer, _
                     Width As Integer)
                     
    Dim r As RECT
     
    r.Top = Top
    r.Left = Left
    r.Right = r.Left + Width
     
    DrawText dstHDC, Text, Len(Text), r, DT_CALCRECT Or DT_CENTER
    DrawText dstHDC, Text, Len(Text), r, DT_CENTER

End Sub

Public Sub ZoomText(dstPicture As PictureBox, _
                    ByVal Text As String, _
                    x As Integer, y As Integer)
                     
    Dim tmpSize As Integer, tmpColor As Long
    Dim Z As Integer
    
    tmpSize = dstPicture.FontSize
    tmpColor = dstPicture.ForeColor
    
    dstPicture.ForeColor = RGB(255, 255, 128)
    
    For Z = 8 To 100 Step 4
    
        dstPicture.Cls
                
        dstPicture.FontSize = Z
        dstPicture.CurrentX = x - dstPicture.TextWidth(Text) * 0.5
        dstPicture.CurrentY = y - dstPicture.TextHeight(Text) * 0.5
        dstPicture.Print Text
        
        dstPicture.Refresh
        
        t = GetTickCount: Do: Loop Until GetTickCount - t > 2
        
    Next Z
    
    dstPicture.FontSize = tmpSize
    dstPicture.ForeColor = tmpColor
    
End Sub



